var data = [ 
{title:"Orange"}, 
{title:"Brown"}, 
{title:"Blue"} 
];

var masterView = Ti.UI.createTableView({ 
data:data 
});

var redWindow = Ti.UI.createWindow({backgroundColor:'red'});

var wrapper = Titanium.UI.createView({ 
width:400, 
height:300, 
backgroundColor:'red' 
});

redWindow.add(wrapper);

// Titanium.Media.VIDEO_CONTROL_EMBEDDED 
// Titanium.Media.VIDEO_CONTROL_FULLSCREEN 
// Titanium.Media.VIDEO_CONTROL_NONE

var activeMovie = Titanium.Media.createVideoPlayer({ 
url:'loop1.mov', 
backgroundColor:'#111', 
movieControlStyle:Titanium.Media.VIDEO_CONTROL_EMBEDDED, 
scalingMode:Titanium.Media.VIDEO_SCALING_MODE_FILL 
}); 
wrapper.add(activeMovie);

// label 
var movieLabel = Titanium.UI.createLabel({ 
text:'Do not try this at home', 
width:'auto', 
height:25, 
color:'white', 
font:{fontSize:24,fontFamily:'Helvetica Neue'} 
});

// add label to view 
activeMovie.add(movieLabel);

var popover = Ti.UI.iPad.createPopover({ 
width:250, 
height:100 
});

popover.add(Ti.UI.createLabel({ 
text:'This is a cool video', 
color:'white', 
width:'auto', 
font:{fontSize:24} 
}));

wrapper.addEventListener('click',function() 
{ 
popover.show({ 
view:activeMovie, 
rect:{x:0,y:0,width:400,height:300}, 
animated:true, 
arrow:Ti.UI.iPad.POPOVER_ARROW_DIRECTION_UP 
}); 
});

var nav = Ti.UI.iPhone.createNavigationGroup({ 
window: redWindow 
});

var win = Ti.UI.iPad.createSplitWindow({ 
detailView:nav, 
masterView:masterView 
});

var button = Titanium.UI.createButton({ 
title:'Foo', 
style:Titanium.UI.iPhone.SystemButtonStyle.BORDERED 
});

redWindow.title = "hello"; 
redWindow.rightNavButton = button;

function openNewTab() 
{ 
var button2 = Titanium.UI.createButton({ 
title:'Foo', 
style:Titanium.UI.iPhone.SystemButtonStyle.BORDERED 
}); 
var newview = Ti.UI.createWindow({backgroundColor:'purple'}); 
newview.add(Ti.UI.createLabel({ 
text:'Time: '+new Date(), 
width:'auto', 
height:'auto' 
})); 
newview.title = "another"; 
newview.rightNavButton = button2; 
button2.addEventListener('click',openNewTab); 
nav.open(newview,{animated:true}); 
}

button.addEventListener('click',openNewTab);

win.addEventListener('visible',function(e) 
{ 
if (e.view == 'detail') 
{ 
e.button.title = "Master"; 
redWindow.leftNavButton = e.button; 
} 
else if (e.view == 'master') 
{ 
redWindow.leftNavButton = null; 
} 
});

win.open();

var label = Ti.UI.createLabel({ 
text:"junction regular", 
font:{fontSize:98,fontFamily:"junction regular"}, 
top:10, 
width:"auto" 
}); 
redWindow.add(label);



var playButton = Titanium.UI.createButton({ 
title:"Play", 
width:120, 
height:30, 
bottom:100, 
left:20 
}); 
redWindow.add(playButton);

playButton.addEventListener('click',function() 
{ 
activeMovie.play(); 
});

var stopButton = Titanium.UI.createButton({ 
title:"Stop", 
width:120, 
height:30, 
bottom:100 
}); 
redWindow.add(stopButton);

stopButton.addEventListener('click',function(e) 
{ 
activeMovie.stop(); 
activeMovie.setUrl("movie.mp4"); 
});

